Refresh device token
Refresh new token for device.
If the oldToken is not provided or is equal to newToken, a new token will refreshed for the device specified in the <b>X-Device-Code</b> request header.
post
Header parameters
Brand-URLstringRequiredExample:
The brand URL of the request. This is used to identify the brand.
YOUR_BRAND_URLBody
Represents a request to refresh a mobile device token for Firebase push notifications.
oldTokenstring · nullableOptional
The previous Firebase device token that is now obsolete.
newTokenstring · min: 1Required
The new Firebase device token to replace the old one.
Responses
200
The request was successful.
application/json
This provides interfaces for API responses with data.
successbooleanRead-onlyRequired
This is the flag to indicate whether the API call is successful or not.
statusCodeinteger · int32Read-onlyRequired
This is the HTTP status code. This is used to determine the status code to be returned to the client.
messagestring · min: 1Read-onlyRequired
This is the message to be displayed to the user.
databooleanRead-onlyOptional
This is the data to be returned to the client.
429
API call exceeded rate limit due to too many requests.
application/json
post
/api/v1/devices/refresh-tokenLast updated